org.apache.commons.jelly.tags.xml

## Class ReplaceNamespaceTag

- java.lang.Object
- - org.apache.commons.jelly.TagSupport
  - - org.apache.commons.jelly.tags.xml.ReplaceNamespaceTag

All Implemented Interfaces:
  Tag

    public class ReplaceNamespaceTag
    extends TagSupport

Replace namespace is a filter to change the namespace of any elemement attribute passing through it.

Author:
  Diogo Quintela <dquintela@gmail.com>

### Field Summary

### Fields inherited from class org.apache.commons.jelly.TagSupport

`body, context, parent`

### Constructor Summary

Constructors
Constructor and Description
`ReplaceNamespaceTag()`

### Method Summary

Methods
`void` `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`java.lang.String` `getFromURI()`
`java.lang.String` `getToURI()`
`void` `setFromURI(java.lang.String namespace)` Sets the source namespace URI to replace.
`void` `setToURI(java.lang.String namespace)` Sets the destination namespace URI to replace.

### Methods inherited from class org.apache.commons.jelly.TagSupport

`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReplaceNamespaceTag

    public ReplaceNamespaceTag()

### Method Detail

#### doTag

    public void doTag(XMLOutput output)
               throws MissingAttributeException,
                      JellyTagException

Description copied from interface: `Tag`
Evaluates this tag after all the tags properties have been initialized.

Throws:
  `MissingAttributeException`
  `JellyTagException`

#### getFromURI

    public java.lang.String getFromURI()

Returns:
  the source namespace URI to replace

#### setFromURI

    public void setFromURI(java.lang.String namespace)

Sets the source namespace URI to replace.

#### getToURI

    public java.lang.String getToURI()

Returns:
  the destination namespace URI to replace

#### setToURI

    public void setToURI(java.lang.String namespace)

Sets the destination namespace URI to replace.